Name: pam_mktemp
Version: 1.1.1
Release: alt4

Summary: Pluggable private /tmp space support for interactive (shell) sessions
License: BSD-style
Group: System/Base
Url: http://www.openwall.com/pam/

# ftp://ftp.openwall.com/pub/projects/pam/modules/pam_mktemp/pam_mktemp-%version.tar.gz
Source: pam_mktemp-%version.tar
Patch: pam_mktemp-%version-%release.patch

%def_enable selinux

# due to PAM policy.
BuildRequires(pre): libpam-devel
# due to change in format of PAM modules requirements.
BuildRequires: rpm-build >= 0:4.0.4-alt55
# due to ext2fs/ext2_fs.h
BuildRequires: libe2fs-devel
%{?_enable_selinux:BuildRequires: libselinux-devel}

%set_pam_name %name

%package -n %pam_name
Summary: Pluggable private /tmp space support for interactive (shell) sessions
License: BSD-style
Group: System/Base
Requires(post): coreutils
Provides: %name = %version-%release
Obsoletes: %name

%description
pam_mktemp is a PAM module which may be used with a PAM-aware login
service to provide per-user private directories under /tmp as a part
of PAM session or account management.

%description -n %pam_name
pam_mktemp is a PAM module which may be used with a PAM-aware login
service to provide per-user private directories under /tmp as a part
of PAM session or account management.

%prep
%setup
%patch -p1

%build
%make_build CFLAGS="%optflags %optflags_shared -Werror" \
	%{?_enable_selinux:USE_SELINUX=1}

%install
%makeinstall_std SECUREDIR=/%_lib/security
mkdir -pm755 %buildroot/tmp/.private

%post -n %pam_name
mkdir -p -m755 /tmp/.private

%files -n %pam_name
/%_lib/security/*
%ghost %attr(755,root,root) /tmp/.private
%doc LICENSE README

%changelog
* Tue Aug 04 2020 Slava Aseev <ptrnine@altlinux.org> 1.1.1-alt4
- Replace deprecated types and functions from SELinux

* Mon Sep 05 2011 Dmitry V. Levin <ldv@altlinux.org> 1.1.1-alt3
- Fixed regression introduced in the previous release (closes: #26235).

* Wed Jul 20 2011 Dmitry V. Levin <ldv@altlinux.org> 1.1.1-alt2
- Inherit /tmp/.private permissions from /home (closes: #25934).

* Sat Sep 18 2010 Dmitry V. Levin <ldv@altlinux.org> 1.1.1-alt1
- Updated to 1.1.1.

* Tue Aug 31 2010 Dmitry V. Levin <ldv@altlinux.org> 1.0.3-alt6
- Added SELinux support (by Mikhail Efremov and me).

* Tue Sep 16 2008 Dmitry V. Levin <ldv@altlinux.org> 1.0.3-alt5
- Use ext2fs/ext2_fs.h instead of linux/ext2_fs.h for build.

* Sun Apr 22 2007 Dmitry V. Levin <ldv@altlinux.org> 1.0.3-alt4
- Fixed just created /tmp/.private directory ownership.

* Fri Apr 13 2007 Dmitry V. Levin <ldv@altlinux.org> 1.0.3-alt3
- Fixed previous change in file attributes support.

* Tue Apr 10 2007 Dmitry V. Levin <ldv@altlinux.org> 1.0.3-alt2
- Relaxed /tmp/.private permissions: 0711 -> 0755 (workarounds ALT#9419).
- Disabled changing /tmp/.private file attributes.

* Sun Jun 04 2006 Dmitry V. Levin <ldv@altlinux.org> 1.0.3-alt1
- Updated to 1.0.3.

* Thu Jan 12 2006 Dmitry V. Levin <ldv@altlinux.org> 1.0.2-alt1
- Updated to 1.0.2.
- Rebuilt for new style PAM dependencies generated by rpm-build-4.0.4-alt55.

* Thu Aug 11 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0.1-alt1
- Updated to 1.0.1.

* Wed Aug 10 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0-alt3
- Restricted list of global symbols exported by the pam module.
- Changed pam module file permissions to make it world readable.
- Added support of filesystem drivers which fail with ENOSYS
  error code in responce to EXT2_IOC_GETFLAGS ioctl request
  (fixes #7520).

* Tue May 31 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0-alt2
- Corrected package dependencies (#6972).

* Tue Apr 19 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0-alt1
- Updated to 1.0.

* Thu Feb 10 2005 Dmitry V. Levin <ldv@altlinux.org> 0.2.5-alt2
- Fixed multilib.

* Sat Jan 03 2004 Dmitry V. Levin <ldv@altlinux.org> 0.2.5-alt1
- Updated to 0.2.5.
- Deal with compilation warnings generated by new gcc compiler.

* Tue Oct 07 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2.4.1-alt1
- Updated to 0.2.4.1.

* Mon Jun 09 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2.4-alt2
- Added Linux-PAM/OpenPAM multi-build support.

* Thu Oct 10 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.4-alt1
- Updated to 0.2.4

* Tue Nov 13 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt2
- Added Url (thanks to Solar for the hint).

* Mon Nov 12 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt1
- ALT adaptions.

* Fri Nov 09 2001 Solar Designer <solar@owl.openwall.com>
- Support stacking for account management as well as for session setup.
- No longer set LYNX_TEMP_SPACE.

* Tue Dec 19 2000 Solar Designer <solar@owl.openwall.com>
- Initial version.
